Is the current version of SeaMonkey compatable with older systems?

My P3-900 with win2k has Mozilla 1.7.3 installed along with plugins for Flash, Shockwave, Adobe Reader, Realplayer, Quicktime and Flashblock, Mozilla Calendar 2005011112-cal, . It's worked well for many years, but I'm finding it won't render many newer webpages properly. Would the current version of SeaMonkey work on this system? If not which version would be best?
support-seamonkey mailing list

Reply via email to